Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in putty
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in putty
ID: openSUSE-SU-2019:2292-1
Distribution: SUSE
Plattformen: SUSE openSUSE Backports SLE-15, SUSE openSUSE Backports SLE-15-SP1
Datum: Di, 8. Oktober 2019, 06:38
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-17069
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-17068
Applikationen: PuTTY

Originalnachricht

   openSUSE Security Update: Security update for putty
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:2292-1
Rating: moderate
References: #1152753
Cross-References: CVE-2019-17068 CVE-2019-17069
Affected Products:
openSUSE Backports SLE-15-SP1
openSUSE Backports SLE-15
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for putty to version 0.73 fixes the following issues:

Security issues fixed:

- CVE-2019-17068: Fixed the insufficient handling of terminal escape
sequences, that should delimit the pasted data in bracketed paste mode
(boo#1152753).
- CVE-2019-17069: Fixed a possible information leak caused by SSH-1
disconnection messages (boo#1152753).

This update was imported from the openSUSE:Leap:15.0:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Backports SLE-15-SP1:

zypper in -t patch openSUSE-2019-2292=1

- openSUSE Backports SLE-15:

zypper in -t patch openSUSE-2019-2292=1



Package List:

- openSUSE Backports SLE-15-SP1 (aarch64 ppc64le s390x x86_64):

putty-0.73-bp151.4.6.1
putty-debuginfo-0.73-bp151.4.6.1
putty-debugsource-0.73-bp151.4.6.1

- openSUSE Backports SLE-15 (aarch64 ppc64le s390x x86_64):

putty-0.73-bp150.4.12.1


References:

https://www.suse.com/security/cve/CVE-2019-17068.html
https://www.suse.com/security/cve/CVE-2019-17069.html
https://bugzilla.suse.com/1152753

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung